## mpqc 2.3.0

=== src/bin/molrender/Makefile ===
TOPDIR=../../..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

include $(SRCDIR)/$(TOPDIR)/lib/GlobalMakefile
include $(TOPDIR)/lib/Makedirlist
INCLUDE += -I. -I$(SRCDIR)
CXXINCLUDE += -I. -I$(SRCDIR)

TARGET_TO_MAKE = molrender

CXXSRC = main.cc
CSRC =
INC =

DEPENDINCLUDE = $(INC)

BINOBJ = $(CXXSRC:%.cc=%.o) $(CSRC:%.c=%.o)

DISTFILES = $(CXXSRC) $(CSRC) $(INC) Makefile LIBS.h molrender.in

default:: molrender

ifeq ($(HAVE_SC_SRC_LIB_CHEMISTRY_CCA),yes)
  DEFINES += -DHAVE_CHEMISTRY_CCA
endif

LIBS := $(shell $(LISTLIBS) $(INCLUDE) $(DEFINES) $(SRCDIR)/LIBS.h)

include $(SRCDIR)/$(TOPDIR)/lib/GlobalRules

molrender: $(BINOBJ) $(LIBS)
	$(LTLINK) $(LD) $(LDFLAGS) -o $@ $^ $(SYSLIBS) $(LTLINKBINOPTS)

install:: molrender
	$(INSTALL) $(INSTALLDIROPT) $(installroot)$(bindir)
	$(LTINST) $(INSTALL) $(INSTALLBINOPT) $< $(installroot)$(bindir)
	cd $(TOPDIR); CONFIG_FILES=src/bin/molrender/tkmolrender CONFIG_HEADERS= ./config.status
	$(INSTALL) $(INSTALLBINOPT) tkmolrender $(installroot)$(bindir)
	/bin/rm -f tkmolrender

clean::
	/bin/rm -f molrender

distclean::
	/bin/rm -f molrender

$(BINOBJ:.o=.d): $(DEPENDINCLUDE)
ifneq ($(DODEPEND),no)
include $(BINOBJ:.o=.d)
endif

=== src/bin/scpr/Makefile ===
TOPDIR=../../..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

include $(SRCDIR)/$(TOPDIR)/lib/GlobalMakefile
include $(TOPDIR)/lib/Makedirlist
INCLUDE += -I. -I$(SRCDIR)
CXXINCLUDE += -I. -I$(SRCDIR)

TARGET_TO_MAKE = scpr

CXXSRC = scpr.cc
CSRC =
INC = 

DEPENDINCLUDE = $(INC)

BINOBJ = $(CXXSRC:%.cc=%.$(OBJSUF)) $(CSRC:%.c=%.$(OBJSUF))

DISTFILES = $(CXXSRC) $(CSRC) $(INC) Makefile LIBS.h

default:: scpr

XDEF=
XLIBS=
ifeq ($(HAVE_SC_SRC_LIB_CHEMISTRY_QC_CINTS),yes)
 ifeq ($(HAVE_SC_SRC_LIB_CHEMISTRY_QC_MBPTR12),yes)
 XDEF += -DHAVE_CHEMISTRY_QC_MBPTR12
 endif
XDEF += -DHAVE_CHEMISTRY_QC_CINTS
endif

ifeq ($(HAVE_LIBINT),yes)
  XLIBS += -lint
endif
ifeq ($(HAVE_LIBR12),yes)
  XLIBS += -lr12
endif
ifeq ($(HAVE_LIBDERIV),yes)
  XLIBS += -lderiv
endif

ifeq ($(HAVE_SC_SRC_LIB_CHEMISTRY_CCA),yes)
  XDEF += -DHAVE_CHEMISTRY_CCA
endif

LIBS := $(shell $(LISTLIBS) $(INCLUDE) $(XDEF) $(SRCDIR)/LIBS.h)

#################################################################

default:: $(DEPENDINCLUDE)

include $(SRCDIR)/$(TOPDIR)/lib/GlobalRules

scpr: $(BINOBJ) $(LIBS)
	$(LTLINK) $(LD) $(LDFLAGS) -o $@ $^ $(XLIBS) $(SYSLIBS) $(LTLINKBINOPTS)

install:: scpr
	$(INSTALL) $(INSTALLDIROPT) $(installroot)$(bindir)
	$(LTINST) $(INSTALL) $(INSTALLBINOPT) $< $(installroot)$(bindir)

clean::
	/bin/rm -f scpr

distclean::
	/bin/rm -f scpr

#################################################################

$(BINOBJ:.$(OBJSUF)=.d): $(DEPENDINCLUDE)
ifneq ($(DODEPEND),no)
include $(BINOBJ:.$(OBJSUF)=.d)
endif

=== src/bin/mpqc/validate/Makefile ===
TOPDIR=../../../..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

include $(SRCDIR)/$(TOPDIR)/lib/GlobalMakefile
include $(TOPDIR)/lib/Makedirlist

INSUF=in
PROGRAM=mpqc
RUN=run
INP=input
REF=$(SRCDIR)/ref
MPQC=../../mpqc

INPUTGENDEPS=$(SRCTOPDIR)/lib/perl/QCParse.pm \
             $(SRCTOPDIR)/lib/perl/QCResult.pm \
             $(SRCTOPDIR)/lib/perl/Molecule.pm \
             $(SRCDIR)/makein.pl

MAKEIN=$(PERL) -I$(SRCTOPDIR)/lib/perl $(SRCDIR)/makein.pl
MAKEINCCA=$(PERL) makeccain.pl
CHECKOUT=$(PERL) -I$(SRCTOPDIR)/lib/perl $(SRCDIR)/checkout.pl
CHECKCCAOUT=$(PERL) $(SRCDIR)/checkccaout.pl

########################################################################
# need to determine nthreadperproc from MPQCRUN_ARGS, since this determines
# whether or not certain tests

ALL_MPQCRUN_ARGS:=$(MPQCRUN_ARGS)

ifneq ($(filter --nthreadperproc,$(ALL_MPQCRUN_ARGS)),)
$(error must use --nthreadperproc=xxx syntax for MPQCRUN_ARGS)
endif
MPQCRUN_NTHREADPERPROC:=$(filter --nthreadperproc=%, $(ALL_MPQCRUN_ARGS))
MPQCRUN_NTHREADPERPROC:=$(patsubst --nthreadperproc=%, %, $(MPQCRUN_NTHREADPERPROC))
MPQCRUN_NTHREADPERPROC:=$(strip $(MPQCRUN_NTHREADPERPROC))
ifeq ($(MPQCRUN_NTHREADPERPROC),)
  MPQCRUN_NTHREADPERPROC=1
endif

ifneq ($(filter --integral,$(ALL_MPQCRUN_ARGS)),)
$(error must use --integral=xxx syntax for MPQCRUN_ARGS)
endif
MPQCRUN_INTEGRAL:=$(filter --integral=%, $(ALL_MPQCRUN_ARGS))
MPQCRUN_INTEGRAL:=$(patsubst --integral=%, %, $(MPQCRUN_INTEGRAL))
MPQCRUN_INTEGRAL:=$(strip $(MPQCRUN_INTEGRAL))
ifeq ($(MPQCRUN_INTEGRAL),)
  MPQCRUN_INTEGRAL=intv3
endif

# Also need to see if --mpqc was specified.  If not, then add
# --mpqc ../../mpqc.
ifeq ($(filter --mpqc%, $(ALL_MPQCRUN_ARGS)),)
ALL_MPQCRUN_ARGS:=--mpqc ../../mpqc $(ALL_MPQCRUN_ARGS)
endif

ifeq ($(HAVE_SC_SRC_LIB_CHEMISTRY_QC_MBPTR12),yes)
ifeq ($(MPQCRUN_INTEGRAL),cints)
HAVE_MBPTR12=yes
endif
endif

########################################################################

H2OMASTER=h2o.qci
H2OINPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(H2OMASTER))
H2OOUTPUTS = $(H2OINPUTS:%.$(INSUF)=%.out)

H2OMP2MASTER=h2omp2.qci
H2OMP2INPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(H2OMP2MASTER))
H2OMP2OUTPUTS = $(H2OMP2INPUTS:%.$(INSUF)=%.out)

MP2R12MASTER=mp2r12.qci
ifeq ($(HAVE_MBPTR12),yes)
  MP2R12INPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(MP2R12MASTER))
else
  MP2R12INPUTS=
endif
MP2R12OUTPUTS = $(MP2R12INPUTS:%.$(INSUF)=%.out)

H2OFRQMASTER=h2ofrq.qci
H2OFRQINPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(H2OFRQMASTER))
H2OFRQOUTPUTS = $(H2OFRQINPUTS:%.$(INSUF)=%.out)

ORTHOGMASTER=orthog.qci
ORTHOGINPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(ORTHOGMASTER))
ORTHOGOUTPUTS = $(ORTHOGINPUTS:%.$(INSUF)=%.out)

BASIS1MASTER=basis1.qci
BASIS1INPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(BASIS1MASTER))
BASIS1OUTPUTS = $(BASIS1INPUTS:%.$(INSUF)=%.out)

DFTMASTER=dft.qci
DFTINPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(DFTMASTER))
DFTOUTPUTS = $(DFTINPUTS:%.$(INSUF)=%.out)

BASIS2MASTER=basis2.qci
BASIS2INPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(BASIS2MASTER))
BASIS2OUTPUTS = $(BASIS2INPUTS:%.$(INSUF)=%.out)

OPTMASTER=opt.qci
OPTINPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(OPTMASTER))
OPTOUTPUTS = $(OPTINPUTS:%.$(INSUF)=%.out)
OPTTSMASTER=optts.qci
OPTTSINPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(OPTTSMASTER))
OPTTSOUTPUTS = $(OPTTSINPUTS:%.$(INSUF)=%.out)

SYMM1MASTER=symm1.qci
SYMM1INPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(SYMM1MASTER))
SYMM1OUTPUTS = $(SYMM1INPUTS:%.$(INSUF)=%.out)

SYMM2MASTER=symm2.qci
SYMM2INPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(SYMM2MASTER))
SYMM2OUTPUTS = $(SYMM2INPUTS:%.$(INSUF)=%.out)

SYMM3MASTER=symm3.qci
SYMM3INPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(SYMM3MASTER))
SYMM3OUTPUTS = $(SYMM3INPUTS:%.$(INSUF)=%.out)

CLSCFMASTER=clscf.qci
CLSCFINPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(CLSCFMASTER))
CLSCFOUTPUTS = $(CLSCFINPUTS:%.$(INSUF)=%.out)

USCFMASTER=uscf.qci
USCFINPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(USCFMASTER))
USCFOUTPUTS = $(USCFINPUTS:%.$(INSUF)=%.out)

HSOSSCFMASTER=hsosscf.qci
HSOSSCFINPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(HSOSSCFMASTER))
HSOSSCFOUTPUTS = $(HSOSSCFINPUTS:%.$(INSUF)=%.out)

CCAINTV3MASTER=ccaintv3.qci
CCACINTSMASTER=ccacints.qci
CCAFEIN = $(SRCDIR)/ref/ccafe_h2oscfsto3g $(SRCDIR)/ref/ccafe_h2oscfgradccpvtz
ifeq ($(HAVE_SC_SRC_LIB_CHEMISTRY_QC_INTCCA),yes)
 CCAINTV3INPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(CCAINTV3MASTER))
 CCAINTV3OUTPUTS = $(CCAINTV3INPUTS:%.$(INSUF)=%.out)
 CCAFEINPUTS = ccafe_h2oscfsto3g.in ccafe_h2oscfgradccpvtz.in 
 CCAFEOUTPUTS = $(CCAFEINPUTS:%.in=%.out)
 CCAFERESULTS = $(CCAFEINPUTS:%.in=%.results)
 ifeq ($(HAVE_SC_SRC_LIB_CHEMISTRY_QC_CINTS),yes)
  CCACINTSINPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(CCACINTSMASTER))
  CCACINTSOUTPUTS = $(CCACINTSINPUTS:%.$(INSUF)=%.out)
 endif
endif

CKPTINPUTS = \
 ckpt_0clscf.in     ckpt_0qnewtopt.in  ckpt_1zapt2.in     ckpt_mp2.in \
 ckpt_0efcopt.in    ckpt_1clscf.in     ckpt_1qnewtopt.in  ckpt_2qnewtopt.in \
 ckpt_0hsosscf.in   ckpt_1efcopt.in    ckpt_clscf.in      ckpt_efcopt.in \
 ckpt_0mp2.in       ckpt_1hsosscf.in   ckpt_2efcopt.in    ckpt_qnewtopt.in \
 ckpt_0zapt2.in     ckpt_1mp2.in       ckpt_hsosscf.in \
 ckpt_0clksb3lyp.in     ckpt_1clksb3lyp.in     ckpt_clksb3lyp.in \
 ckpt_0clksbp86.in      ckpt_1clksbp86.in      ckpt_clksbp86.in \
 ckpt_0clkshfg96.in     ckpt_1clkshfg96.in     ckpt_clkshfg96.in \
 ckpt_0clksmpwpw91.in   ckpt_1clksmpwpw91.in   ckpt_clksmpwpw91.in \
 ckpt_0clkspbe.in       ckpt_1clkspbe.in       ckpt_clkspbe.in \
 ckpt_0clkspw91.in      ckpt_1clkspw91.in      ckpt_clkspw91.in \
 ckpt_0clksspz81.in     ckpt_1clksspz81.in     ckpt_clksspz81.in \
 ckpt_0clkssvwn1.in     ckpt_1clkssvwn1.in     ckpt_clkssvwn1.in \
 ckpt_0clkssvwn1rpa.in  ckpt_1clkssvwn1rpa.in  ckpt_clkssvwn1rpa.in \
 ckpt_0clkssvwn2.in     ckpt_1clkssvwn2.in     ckpt_clkssvwn2.in \
 ckpt_0clkssvwn3.in     ckpt_1clkssvwn3.in     ckpt_clkssvwn3.in \
 ckpt_0clkssvwn4.in     ckpt_1clkssvwn4.in     ckpt_clkssvwn4.in \
 ckpt_0clkssvwn5.in     ckpt_1clkssvwn5.in     ckpt_clkssvwn5.in \
 ckpt_0clksxalpha.in    ckpt_1clksxalpha.in    ckpt_clksxalpha.in \
 ckpt_0hsosksxalpha.in  ckpt_1hsosksxalpha.in  ckpt_hsosksxalpha.in \
 ckpt_0uksxalpha.in     ckpt_1uksxalpha.in     ckpt_uksxalpha.in

CKPTINPUTS := $(CKPTINPUTS:%=$(INP)/%)
CKPTOUTPUTS = $(CKPTINPUTS:%.$(INSUF)=%.out)

MBPTINPUTS = \
 mbpt_mp2mem.in     mbpt_opt12v1.in    mbpt_opt22v2.in    mbpt_zapt2v2lb.in \
 mbpt_mp2v1.in      mbpt_opt12v2.in    mbpt_opt22v2lb.in \
 mbpt_mp2v2.in      mbpt_opt12v2lb.in  mbpt_zapt2v1.in \
 mbpt_mp2v2lb.in    mbpt_opt22v1.in    mbpt_zapt2v2.in \
 mbpt_mp2mem_mp.in  mbpt_mp2v2_mp.in   mbpt_mp2mem_c1.in  mbpt_mp2mem_auto.in \
 mbpt_mp2mem_dyn.in

ifeq ($(HAVE_MBPTR12),yes)
 MBPTINPUTS += \
    mbpt_mp2r12_ne2.in            mbpt_mp2r12_ne2_posix.in \
    mbpt_mp2r12_ne2_tz.in         mbpt_mp2r12_ne2_dyn.in \
    mbpt_mp2r12_c6h6_multipass.in
 ifeq ($(MPQCRUN_NTHREADPERPROC),1)
  MBPTINPUTS += mbpt_mp2r12_ne2_multipass.in
 endif
endif

MBPTINPUTS := $(MBPTINPUTS:%=$(INP)/%)
MBPTOUTPUTS = $(MBPTINPUTS:%.$(INSUF)=%.out)

METHODSINPUTS = \
clhf.in        hsosks_b3lyp.in       tchf.in \
clks_b3lyp.in  hsosks_b88.in         uhf.in \
clks_b88.in    hsosks_blyp.in        uks_b3lyp.in \
clks_blyp.in   hsosks_lsdax.in       uks_b88.in \
clks_lsdax.in  hsosks_xa.in          uks_blyp.in \
clks_xa.in     uks_lsdax.in          uks_xa.in \
hsoshf.in      osshf.in              qmmm1.in \
qmmm2.in

ifeq ($(HAVE_MBPTR12),yes)
 METHODSINPUTS += \
    mp2r12ap_+gbc.in mp2r12ap_abs+.in \
    mp2r12ap_abs.in  mp2r12ap_cabs+.in \
    mp2r12ap_cabs.in mp2r12ap_nogebc.in \
    mp2r12ap_+ebc.in mp2r12ap_+gbc+ebc.in
endif

METHODSINPUTS := $(METHODSINPUTS:%=$(INP)/methods_%)

INPUTINPUTS = \
rksch2.in uksch2.in uhfch2opt.in rhfch2opt.in hfch2opt.in \
hfh2ofreq.in ksh2oco.in ksh2o.in hfh2oopt.in \
mp2h2o.in zapt2ch2.in
ifeq ($(HAVE_MBPTR12),yes)
  INPUTINPUTS += mp2r12ah2o.in mp2r12aph2o.in
endif
INPUTINPUTS := $(INPUTINPUTS:%=$(INP)/input_%)

##############################################################################

# cints will not run all test cases.  This filter can be used to select
# just cases that cints can run
CINTSFILTER = $(INP)/mbpt_mp2r12% $(INP)/methods_mp2r12% $(INP)/mp2r12%

ALLINPUTS = $(METHODSINPUTS) $(H2OINPUTS) $(H2OMP2INPUTS) $(H2OFRQINPUTS) \
	    $(MP2R12INPUTS) \
            $(ORTHOGINPUTS) $(BASIS1INPUTS) $(BASIS2INPUTS) \
            $(DFTINPUTS) \
            $(OPTINPUTS) $(OPTTSINPUTS) \
            $(SYMM1INPUTS) $(SYMM2INPUTS) $(SYMM3INPUTS) \
            $(CKPTINPUTS) $(MBPTINPUTS) \
            $(CLSCFINPUTS) $(USCFINPUTS) $(HSOSSCFINPUTS) \
            $(INPUTINPUTS) $(CCAINTV3INPUTS) $(CCACINTSINPUTS)
ALLOUTPUTS = $(ALLINPUTS:%.$(INSUF)=%.out)

CHECK0INPUTS := $(H2OINPUTS) $(H2OFRQINPUTS) $(H2OMP2INPUTS) \
                $(METHODSINPUTS) $(INPUTINPUTS) $(CCAINTV3INPUTS) $(CCACINTSINPUTS)

CHECK0BFILTER := %ccpvdz %ccpvtz %ccpvqz %ccpv5z
CHECK0BFILTER += %ccpcvdz %ccpcvtz %ccpcvqz %ccpcv5z
CHECK0BFILTER += %pc2 %pc3 %pc4
CHECK0BFILTER += %6311gss
CHECK0FILTER := $(CHECK0BFILTER:%=%d2h) \
                $(CHECK0BFILTER:%=%c2v) \
                $(CHECK0BFILTER:%=%c2) \
                $(CHECK0BFILTER:%=%ci) \
                $(CHECK0BFILTER:%=%auto) \
                $(CHECK0BFILTER:%=%cs) \
                $(CHECK0BFILTER:%=%c1)
CHECK0FILTER := $(CHECK0FILTER:%=%.in) \
                $(CHECK0FILTER:%=%frq.in) \
                $(CHECK0FILTER:%= %opt.in) \
                $(CHECK0FILTER:%= %optfrq.in)
CHECK0FILTER += $(INP)/basis2_% $(INP)/dft_% $(INP)/symm1_cub%
CHECK0FILTER += $(INP)/mbpt_mp2r12_c6h6_multipass.in
CHECK0INPUTS := $(filter-out $(CHECK0FILTER),$(CHECK0INPUTS))
ifeq ($(MPQCRUN_INTEGRAL),cints)
  CHECK0INPUTS := $(filter $(CINTSFILTER),$(CHECK0INPUTS))
endif
CHECK0OUTPUTS := $(CHECK0INPUTS:%.$(INSUF)=%.out)
#printcheck0:
#	@echo CHECK0BFILTER = $(CHECK0BFILTER)
#	@echo CHECK0FILTER = $(CHECK0FILTER)
#	@ls -l $(CHECK0INPUTS)

CHECK1INPUTS := $(ALLINPUTS)
CHECK1BFILTER := %ccpvdz %ccpvtz %ccpvqz %ccpv5z
CHECK1BFILTER += %ccpcvdz %ccpcvtz %ccpcvqz %ccpcv5z
CHECK1BFILTER += %pc2 %pc3 %pc4
CHECK1BFILTER += %6311gss
CHECK1FILTER := $(CHECK1BFILTER:%=%d2h) \
                $(CHECK1BFILTER:%=%c2v) \
                $(CHECK1BFILTER:%=%c2) \
                $(CHECK1BFILTER:%=%ci) \
                $(CHECK1BFILTER:%=%auto) \
                $(CHECK1BFILTER:%=%cs) \
                $(CHECK1BFILTER:%=%c1)
CHECK1FILTER := $(CHECK1FILTER:%=%.in) \
                $(CHECK1FILTER:%=%frq.in) \
                $(CHECK1FILTER:%= %opt.in) \
                $(CHECK1FILTER:%= %optfrq.in)
CHECK1FILTER += $(INP)/basis2_% $(INP)/dft_% $(INP)/symm1_cub%
CHECK1FILTER += $(INP)/mbpt_mp2r12_c6h6_multipass.in
CHECK1INPUTS := $(filter-out $(CHECK1FILTER),$(CHECK1INPUTS))
ifeq ($(MPQCRUN_INTEGRAL),cints)
  CHECK1INPUTS := $(filter $(CINTSFILTER),$(CHECK1INPUTS))
endif
CHECK1OUTPUTS := $(CHECK1INPUTS:%.$(INSUF)=%.out)
#printcheck1:
#	@echo CHECK1BFILTER = $(CHECK1BFILTER)
#	@echo CHECK1FILTER = $(CHECK1FILTER)
#	@ls -l $(CHECK1INPUTS)

CHECK2INPUTS := $(ALLINPUTS)
ifeq ($(MPQCRUN_INTEGRAL),cints)
  CHECK2INPUTS := $(filter $(CINTSFILTER),$(CHECK2INPUTS))
endif
CHECK2OUTPUTS := $(CHECK2INPUTS:%.$(INSUF)=%.out)
#printcheck2:
#	@ls -l $(CHECK2INPUTS)

##############################################################################

.PHONY: default
default::
	@echo \'make check0\' to run and check the small test suite
	@echo \'make check0_run\' to run the small test suite
	@echo \'make check0_chk\' to check the small test suite

=== src/lib/math/optimize/Makefile ===
#
# Makefile
#
# Copyright (C) 1996 Limit Point Systems, Inc.
#
# Author: Curtis Janssen <cljanss@ca.sandia.gov>
# Maintainer: LPS
#
# This file is part of the SC Toolkit.
#
# The SC Toolkit is free software; you can redistribute it and/or modify
# it under the terms of the GNU Library General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# The SC Toolkit is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public License
# along with the SC Toolkit; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#
# The U.S. Government is granted a limited license as per AL 91-7.
#

TOPDIR=../../../..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

include $(SRCDIR)/$(TOPDIR)/lib/GlobalMakefile

LD=$(CXX)

CXXSRC = function.cc opt.cc update.cc qnewton.cc newton.cc \
         gdiis.cc efc.cc steep.cc dfp.cc powell.cc \
         scextrap.cc scextrapmat.cc diis.cc transform.cc conv.cc
CSRC = 

LIBOBJ = $(CXXSRC:%.cc=%.$(OBJSUF)) $(CSRC:%.c=%.$(OBJSUF))

INC = function.h opt.h gdiis.h efc.h update.h qnewton.h newton.h \
      scextrap.h scextrapmat.h diis.h transform.h conv.h

DEPENDINCLUDE =

BIN_OR_LIB = LIB
TARGET_TO_MAKE = libSCoptimize

kvopt.testrun: DO_TESTRUN=no

TESTPROGS = kvopt opttest scextest

DISTFILES = opttest.cc $(CXXSRC) $(CSRC) $(INC) Makefile LIBS.h

default:: $(DEPENDINCLUDE)

opttest: opttest.$(OBJSUF) $(shell $(LISTLIBS) $(INCLUDE) $(SRCDIR)/LIBS.h)
	$(LTLINK) $(LD) $(LDFLAGS) -o opttest $^ $(SYSLIBS) $(LTLINKBINOPTS)

opttest.$(OBJSUF): opttest.cc
	$(LTCOMP) $(CXX) $(CXXFLAGS) $(CPPFLAGS) -DSRCDIR=\"$(SRCDIR)\" -c $<

scextest: scextest.$(OBJSUF) libSCoptimize.$(LIBSUF) \
	$(shell $(LISTLIBS) $(INCLUDE) $(SRCDIR)/LIBS.h)
	$(LTLINK) $(LD) $(LDFLAGS) -o scextest $^ $(SYSLIBS) $(LTLINKBINOPTS)

scextest.$(OBJSUF): scextest.cc
	$(LTCOMP) $(CXX) $(CXXFLAGS) $(CPPFLAGS) -DSRCDIR=\"$(SRCDIR)\" -c $<

kvopt: kvopt.$(OBJSUF) $(shell $(LISTLIBS) $(INCLUDE) $(SRCDIR)/LIBS.h)
	$(LTLINK) $(LD) $(LDFLAGS) -o kvopt $^ $(SYSLIBS) $(LTLINKBINOPTS)

include $(SRCDIR)/$(TOPDIR)/lib/GlobalRules

kvopt.d opttest.d scextest.d $(LIBOBJ:.$(OBJSUF)=.d): $(DEPENDINCLUDE)
ifneq ($(DODEPEND),no)
include $(LIBOBJ:.$(OBJSUF)=.d) kvopt.d opttest.d scextest.d
endif

=== src/lib/util/options/Makefile ===
TOPDIR=../../../..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif
include $(SRCDIR)/$(TOPDIR)/lib/GlobalMakefile

BIN_OR_LIB = LIB
TARGET_TO_MAKE = libSCoptions

LIBOBJ = GetLongOpt.$(OBJSUF)

TESTPROGS = sample

include $(SRCDIR)/$(TOPDIR)/lib/GlobalRules

sample: README.$(OBJSUF) libSCoptions.$(LIBSUF)
	$(LTLINK) $(CXX) -o $@ $^ $(LTLINKBINOPTS)

$(LIBOBJ:.$(OBJSUF)=.d): $(DEPENDINCLUDE)
ifneq ($(DODEPEND),no)
include $(LIBOBJ:.$(OBJSUF)=.d)
endif

## mpqc 2.3.1

=== Makefile ===
TOPDIR=.
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

LOCALMAKEFILE_OPTIONAL = yes

include $(SRCDIR)/$(TOPDIR)/lib/GlobalMakefile

ifeq ($(LOCALMAKEFILE_FOUND),yes)

SUBDIRS = lib bin src

include $(SRCDIR)/$(TOPDIR)/lib/GlobalSubDirs

install_devel::
	-$(INSTALL) $(INSTALLSCRIPTOPT) libtool $(installroot)$(bindir)/sc-libtool

clean::
	-rm -f depcheck.cc

distclean:: clean
	-rm -f config.log
	-rm -f config.status
	-rm -f libtool

else

# If the LocalMakefile does not exist we are not in an object directory.
# Here we only wish to do administrative tasks, such as make tags.

default::
	@echo "The LocalMakefile was not found.  First run configure in the directory"
	@echo "you want object code to be placed and then run make there.  However,"
	@echo "if you would like to run some administrative commands in the source"
	@echo "tree, the following targets are available:"
	@echo 
	@echo "  configure     Update aclocal.m4 and run configure."
	@echo "  touch         Make sure the parser files are more recent than"
	@echo "                the sources.  Useful after a CVS checkout."
	@echo "  tags          Build a new TAGS file."
	@echo "  ebrowse       Build a new BROWSE file for emacs ebrowse."
	@echo "  clean         Remove emacs backup files in this and all subdirectories."
	@echo 

endif

check: check0

check0:
	cd src/bin/mpqc/validate; $(MAKE) check0

check1:
	cd src/bin/mpqc/validate; $(MAKE) check1

check2:
	cd src/bin/mpqc/validate; $(MAKE) check2

check_clean:
	cd src/bin/mpqc/validate; $(MAKE) check_clean

.PHONY: configure
configure:
	aclocal -I lib/autoconf
	autoconf
	/bin/rm -rf autom4te.cache

.PHONY: touch
touch:
	touch src/bin/mpqc/scan.cc
	touch src/bin/mpqc/parse.cc
	touch src/bin/mpqc/parse.h
	touch src/lib/util/keyval/ipv2_scan.cc
	touch src/lib/util/keyval/ipv2_parse.cc
	touch src/lib/util/keyval/ipv2_parse.h

.PHONY: tags
tags:
	etags --members `find . -name "*.[hcfCF]"` `find . -name "*.cc"`

.PHONY: ebrowse
ebrowse:
	ebrowse `find . -name "*.[hcC]"` `find . -name "*.cc"`

.PHONY: clean
clean::
	/bin/rm -f `find . -name "*~" -print`

=== bin/Makefile ===
TOPDIR=..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

include $(SRCDIR)/$(TOPDIR)/lib/GlobalMakefile

include $(SRCDIR)/$(TOPDIR)/lib/GlobalRules

install_devel::
	$(INSTALL) $(INSTALLDIROPT) $(installroot)$(bindir)
	$(INSTALL) $(INSTALLSCRIPTOPT) sc-config $(installroot)$(bindir)
	$(INSTALL) $(INSTALLSCRIPTOPT) mkf77sym.pl $(installroot)$(bindir)/sc-mkf77sym

distclean::
	-/bin/rm -f sc-config
	-/bin/rm -f mkf77sym.pl

=== doc/Makefile ===
TOPDIR=..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

include $(SRCDIR)/$(TOPDIR)/lib/GlobalMakefile

DOXYGEN=doxygen

# Get rid of end-of-comments.  This is done so all pages can be combined
# into a single man page.
MAN_SED_PAGE = (sed s.*/..)

# This makes pages into sections and sections into subsections.  That way
# all the documentation is stuck into a single man page.  The opening
# comment is also removed, because all the pages have to be combined into a
# single comment to suit doxygen.
MAN_SED_SEC = (sed 's.^*/.\<br\>.' | sed 's+\\subsection+\\subsubsection+'| sed 's+\\section+\\subsection+' | sed 's+/\**.*\\page+\\section+')

# This makes the bullets into an 'o', which looks better in the text man pages.
NROFF_SED = sed 's/\\(bu/o/'

.PHONY: all
all:: html
ifeq ($(DOXYGEN_MAN),YES)
all:: man1 man3
endif

.PHONY: man1
man1: mpqc.man.dox
	$(DOXYGEN) doxygen.man1.cfg
	$(NROFF_SED) < man/man1/mpqc.1 > man/man1/mpqc.1.tmp
	/bin/mv man/man1/mpqc.1.tmp man/man1/mpqc.1

.PHONY: man3
man3:
	$(DOXYGEN) doxygen.man3.cfg

.PHONY: mpqc.man.dox
mpqc.man.dox:
	/bin/rm -f $@
	$(MAN_SED_PAGE) < $(SRCDIR)/$(TOPDIR)/src/bin/mpqc/mpqc.dox > $@
	$(MAN_SED_SEC) < $(SRCDIR)/$(TOPDIR)/src/bin/mpqc/mpqcover.dox >> $@
	$(MAN_SED_SEC) < $(SRCDIR)/$(TOPDIR)/src/bin/mpqc/mpqcrunning.dox >> $@
	$(MAN_SED_SEC) < $(SRCDIR)/$(TOPDIR)/src/bin/mpqc/mpqcinp.dox >> $@
	$(MAN_SED_SEC) < $(SRCDIR)/$(TOPDIR)/src/bin/mpqc/mpqcsimp.dox >> $@
	$(MAN_SED_SEC) < $(SRCDIR)/$(TOPDIR)/src/bin/mpqc/mpqcoo.dox >> $@
	$(MAN_SED_SEC) < $(SRCDIR)/$(TOPDIR)/src/bin/mpqc/mpqcval.dox >> $@
	$(MAN_SED_SEC) < $(SRCDIR)/$(TOPDIR)/src/lib/chemistry/qc/psi/mpqcpsi.dox >> $@
	$(MAN_SED_SEC) < $(SRCDIR)/$(TOPDIR)/src/lib/chemistry/cca/mpqccomponents.dox >> $@
	$(MAN_SED_SEC) < $(SRCDIR)/$(TOPDIR)/src/bin/mpqc/mpqclic.dox >> $@
	$(MAN_SED_SEC) < $(SRCDIR)/$(TOPDIR)/src/bin/mpqc/mpqcwar.dox >> $@
	echo "*/" >> $@

.PHONY: html
html:
	$(DOXYGEN) doxygen.cfg

.PHONY: veryclean
veryclean:
	/bin/rm -rf html latex man
	/bin/rm -rf *~

.PHONY: clean
clean:
	/bin/rm -rf *~

install:
	$(INSTALL) $(INSTALLDIROPT) $(installroot)$(prefix)
	/bin/cp -r html $(installroot)$(prefix)

install_devel: install_man install_samples

.PHONY: install_man
install_man:
	$(INSTALL) $(INSTALLDIROPT) $(installroot)$(prefix)
	/bin/cp -r man $(installroot)$(prefix)

.PHONY: install_samples
install_samples:
	$(INSTALL) $(INSTALLDIROPT) $(installroot)$(prefix)
	$(INSTALL) $(INSTALLDIROPT) $(installroot)$(prefix)/examples
	$(INSTALL) $(INSTALLDIROPT) $(installroot)$(prefix)/examples/mp2
	$(INSTALL) $(INSTALLLIBOPT) $(SRCDIR)/devsamp/mp2.cc \
		$(installroot)$(prefix)/examples/mp2
	$(INSTALL) $(INSTALLLIBOPT) $(SRCDIR)/devsamp/mp2.in \
		$(installroot)$(prefix)/examples/mp2
	sed "s+/usr/local/mpqc/current+$(prefix)+" < \
		$(SRCDIR)/devsamp/Makefile \
		> $(installroot)$(prefix)/examples/mp2/Makefile

=== lib/Makefile ===
TOPDIR=..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

include $(SRCDIR)/$(TOPDIR)/lib/GlobalMakefile
include $(TOPDIR)/lib/Makedirlist

SUBDIRS = basis elisp perl
ifeq ($(HAVE_SC_LIB_CCA),yes)
SUBDIRS := $(SUBDIRS) cca
endif

include $(SRCDIR)/$(TOPDIR)/lib/GlobalSubDirs

oclean::
	/bin/rm -f lib*.a
	/bin/rm -f lib*.so*
	/bin/rm -f lib*.la
	/bin/rm -rf .libs

clean:: oclean

distclean:: oclean

install:: atominfo.kv magic
	$(INSTALL) $(INSTALLDIROPT) $(installroot)$(scdatadir)
	$(INSTALL) $(INSTALLLIBOPT) $^ $(installroot)$(scdatadir)

=== src/Makefile ===
TOPDIR=..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

include $(SRCDIR)/$(TOPDIR)/lib/GlobalMakefile

SUBDIRS = lib bin

include $(SRCDIR)/$(TOPDIR)/lib/GlobalSubDirs

=== doc/devsamp/Makefile ===
# Change this to the path to your installed sc-config script.
SCCONFIG = /usr/local/mpqc/current/bin/sc-config
CXX := $(shell $(SCCONFIG) --cxx)
CXXFLAGS := $(shell $(SCCONFIG) --cxxflags)
CPPFLAGS := $(shell $(SCCONFIG) --cppflags)
LIBS := $(shell $(SCCONFIG) --libs)
LIBDIR  := $(shell $(SCCONFIG) --libdir)
LTLINK := $(shell $(SCCONFIG) --ltlink)
LTLINKBINOPTS := $(shell $(SCCONFIG) --ltlinkbinopts)

mp2: mp2.o
	$(LTLINK) $(CXX) $(CXXFLAGS) -o $@ $^ -L$(LIBDIR) -lmpqc $(LIBS) $(LTLINKBINOPTS)

=== lib/basis/Makefile ===
TOPDIR=../..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

include $(SRCDIR)/$(TOPDIR)/lib/GlobalMakefile

include $(SRCDIR)/$(TOPDIR)/lib/GlobalRules

install::
	$(INSTALL) $(INSTALLDIROPT) $(installroot)$(scdatadir)/basis
	$(INSTALL) $(INSTALLLIBOPT) $(SRCDIR)/*.kv $(installroot)$(scdatadir)/basis

install_devel::

=== lib/cca/Makefile ===
TOPDIR=../..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

include $(SRCDIR)/$(TOPDIR)/lib/GlobalMakefile

FILES = $(shell echo `find repo`) 

install:: components.cca
	$(INSTALL) $(INSTALLDIROPT) $(installroot)$(libdir)/cca
	$(INSTALL) $(INSTALLIBOPT) components.cca $(installroot)$(libdir)/cca

install_devel:: $(SRCDIR)/sidl/chemistry-mpqc.sidl
	$(INSTALL) $(INSTALLDIROPT) $(installroot)$(libdir)/cca
	$(INSTALL) $(INSTALLDIROPT) $(installroot)$(libdir)/cca/sidl
	$(INSTALL) $(INSTALLLIBOPT) $(SRCDIR)/sidl/chemistry-mpqc.sidl \
          $(installroot)$(libdir)/cca/sidl
	for i in $(FILES); do \
         if test -d $${i}; then \
          $(INSTALL) $(INSTALLDIROPT) $${i} $(installroot)$(libdir)/cca; \
         else \
          $(INSTALL) -D $(INSTALLLIBOPT) $${i} \
            $(installroot)$(libdir)/cca/$${i}; \
         fi; \
        done

clean:: oclean
	if test -d repo; then \
	  rm -rf repo; \
        fi

oclean::
	/bin/rm -f lib*.a
	/bin/rm -f lib*.so*
	/bin/rm -f lib*.la
	/bin/rm -rf .libs

dclean::

=== lib/elisp/Makefile ===
TOPDIR=../..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

include $(SRCDIR)/$(TOPDIR)/lib/GlobalMakefile

include $(SRCDIR)/$(TOPDIR)/lib/GlobalRules

install::
	$(INSTALL) $(INSTALLDIROPT) $(installroot)$(scdatadir)/elisp
	$(INSTALL) $(INSTALLLIBOPT) $(SRCDIR)/*.el $(installroot)$(scdatadir)/elisp

=== lib/perl/Makefile ===
TOPDIR=../..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

include $(SRCDIR)/$(TOPDIR)/lib/GlobalMakefile

include $(SRCDIR)/$(TOPDIR)/lib/GlobalRules

install::
	$(INSTALL) $(INSTALLDIROPT) $(installroot)$(scdatadir)/perl
	$(INSTALL) $(INSTALLLIBOPT) $(SRCDIR)/*.pm $(installroot)$(scdatadir)/perl

=== src/bin/Makefile ===
TOPDIR=../..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

include $(SRCDIR)/$(TOPDIR)/lib/GlobalMakefile

SUBDIRS = mpqc scpr scls molrender

include $(SRCDIR)/$(TOPDIR)/lib/GlobalSubDirs

=== src/lib/Makefile ===
TOPDIR=../..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

include $(SRCDIR)/$(TOPDIR)/lib/GlobalMakefile

SUBDIRS = util math chemistry

include $(SRCDIR)/$(TOPDIR)/lib/GlobalSubDirs

install::
	$(LIBTOOL) --finish $(installroot)$(libdir)

install_inc::
	$(INSTALL) $(INSTALLDIROPT) $(installroot)$(includedir)
	-$(INSTALL) $(INSTALLLIBOPT) $(SRCDIR)/*.h $(installroot)$(includedir)
	-$(INSTALL) $(INSTALLLIBOPT) *.h $(installroot)$(includedir)

install_devel::
	$(INSTALL) $(INSTALLDIROPT) $(installroot)$(includedir)
	-$(INSTALL) $(INSTALLLIBOPT) $(SRCDIR)/*.h $(installroot)$(includedir)
	-$(INSTALL) $(INSTALLLIBOPT) *.h $(installroot)$(includedir)

distclean::
	/bin/rm -f scconfig.h
	/bin/rm -f scdirlist.h

=== debian/changelog ===
mpqc (2.3.1-9) unstable; urgency=low

  * debian/libsc-dev.install: Install header files into the correct 
    directory; closes: #642668.
  * Merge with Ubuntu; closes: 642277.
  * debian/patches/12_sh4_build_fix.patch: New patch, filter out -little
    option from compile flags, thanks to Nobuhiro Iwamatsu; closes: #568947.
  * debian/patches/13_sed_delimiter_binNMU.patch: New patches, changes sed
    delimiters from "+" to "#" to avoid issues for binNMUs; closes: #618116.

 -- Michael Banck <mbanck@debian.org>  Tue, 01 Nov 2011 01:12:59 +0100

mpqc (2.3.1-8) unstable; urgency=low

  * debian/control: Updated description.
  * debian/control (mpqc/Depends): Added mpi-default-bin; closes: #643310.
  * debian/control (Build-Depends): Added mpi-default-bin.

 -- Michael Banck <mbanck@debian.org>  Tue, 27 Sep 2011 11:51:15 +0200

mpqc (2.3.1-7ubuntu1) oneiric; urgency=low

  * Fix FTBFS with ld --as-needed. LP: #770824.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Sep 2011 23:13:37 +0000

mpqc (2.3.1-7) unstable; urgency=low

  * debian/control (Build-Depends): Replace libopenmpi-dev with
    mpi-default-dev.
  * debian/control (Uploaders): Removed Li Daobing. 
  * debian/control (mpqc-openmpi): Changed to a transitional package, update
    package relationsships accordingly.
  * debian/mpqc-openmpi.manpages, debian/mpqc-openmpi.dirs,
    debian/mpqc-openmpi.examples, debian/mpqc-openmpi.docs: Removed.
  * debian/rules: Rewritten.
  * debian/libsc_SO_NAME_.install: Renamed to ...
  * debian/libsc7.install: ... this.
  * debian/libsc_SO_NAME_.dirs: Removed.
  * debian/compat: Bumped to 8.
  * debian/control (Standards-Version): Bumped to 3.9.2.
  * debian/source/format: New file, switch to "3.0 (quilt)" format.
  * debian/patches: Convert to quilt series.
  * debian/control (Build-Depends): Removed dpatch.
  * debian/patches/09_build_docdir.patch: New patch, build the doc
    subdirectory by default.
  * debian/patches/10_distclean.patch: New patch, properly handle distlcean
    rules in doc directory.
  * debian/patches/series: Adjusted.
  * debian/control (Vcs-svn): Fix repository URL.
  * debian/control (Build-Depends): Added chrpath.
  * debian/rules (override_dh_auto_install): Run chrpath on shared libraries
    and binaries.
  * debian/control: Add ${misc:Depends} to all Depends: fields.
  * debian/control.in: Removed.

 -- Michael Banck <mbanck@debian.org>  Fri, 09 Sep 2011 19:17:06 +0200

mpqc (2.3.1-6) unstable; urgency=low

  * Upload to unstable.
  * debian/mpqcval: Fix using default directory if no files are specified on
    the command-line.
  * debian/rules (OPENMPIARGS): Enable MPI configure switches.

 -- Michael Banck <mbanck@debian.org>  Sat, 27 Feb 2010 15:55:01 +0100

mpqc (2.3.1-5) experimental; urgency=low

  * debian/mpqc.docs: Added CITATION, thanks to Chris Walker.
  * debian/control.in (Standards-Version): Bumped to 3.8.0.
  * debian/mpqc-support.install: Install the test-suite input and reference
    outputs from the source directory, not from the build directory.  Install
    into /usr/share/mpqc/validate, not /usr/share/mqpc/run.
  * debian/mpqc-support.dirs: Adjusted.
  * debian/chkmpqcval: Likewise.  Use reference outputs from
    /usr/share/mpqc/validate if not otherwise specified.
  * debian/mpqcval: Write MPQC output to current directory.  Use input files
    from /usr/share/mpqc/validate if not otherwise specified.
  * debian/README.Debian: Updated test suite validation instructions.
  * debian/control.in (libsc-data): New package, containing the basis set and
    atom data.
  * debian/libsc-data.install: New file.
  * debian/control.in (mpqc/Depends, libsc@SO_NAME@/Depends): Depend on it.
  * debian/mpqc.install: No longer install basis set and atom info.
  * debian/mpqc.dirs: Adjusted.
  * debian/rules (COMMONARGS): Added -includedir, moved F77.
  * debian/rules: Export F77 as gfortran.
  * Build an openmpi parallel version.  No longer build static libararies.
    + debian/control.in (Build-Depends): Added libopenmpi-dev.
    + debian/control.in (mpqc-openmpi): New package, conflicts and replaces
      mpqc.  
    + debian/mpqc-openmpi.dirs: New file.
    + debian/control.in (mpqc): Conflict and Replace mpqc-openmpi.
    + debian/control.in (mpqc-support): Alternatively Depend on mpqc-openmpi.
    + debian/libsc-dev.install: Removed references to static libraries.
    + debian/rules (STATICDIR): Removed.
    + debian/rules (OPENMPIDIR): New variable.
    + debian/rules (OPENMPIARCHES): Likewise.
    + debian/rules (OPENMPIARGS): Likewise.
    + debian/rules (COMMONARGS): Removed --disable-parallel.
    + debian/rules ($(SHAREDDIR)/config.status): Added --disable-parallel to
      configure arguments.
    + debian/rules ($(STATICDIR)/config.status): Replaced with ...
    + debian/rules ($(OPENMPIDIR)/config.status): ... this.  Added
      $(OPENMPIARGS).
    + debian/rules (build-static-stamp): Replaced with ...
    + debian/rules (build-openmpi-stamp): ... this.
    + debian/rules (build-arch-stamp): Adjusted.
    + debian/rules (clean): Clean $(OPENMPIDIR), not $(STATICDIR).
    + debian/rules (install-arch-stamp): Make install_devel from $(SHAREDDIR),
      not $(STATICDIR).  Install mpqc-openmpi's mpqc binary into
      $(CURDIR)/debian/mpqc-openmpi/usr/bin.
    + debian/mpqc-openmpi.docs: New file, copied from mpqc package.
    + debian/mpqc-openmpi.examples: Likewise.
    + debian/mpqc-openmpi.manpages: Likewise.
  * debian/rules (PHONY): Added test.

 -- Michael Banck <mbanck@debian.org>  Fri, 12 Dec 2008 16:08:24 +0100

mpqc (2.3.1-4) unstable; urgency=low

  [ Daniel Leidert (dale) ]
  * debian/man/mpqc.1: Fixed GROFF to make the manpage-has-errors-from-man
    (can't break line) warnings go away.

  [ Michael Banck ]
  * debian/control.in: Update descriptions. 
  * debian/control: Regenerated.
  * debian/rules (test): Set SCLIBDIR so that basis sets are found.  Honor 
    `nocheck' in DEB_BUILD_OPTIONS.



=== debian/control ===
Source: mpqc
Priority: optional
Section: science
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>, 
 Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Build-Depends: debhelper (>> 5), doxygen, perl, flex, bison, chrpath, libblas-dev, liblapack-dev, mpi-default-dev, mpi-default-bin, gfortran, tk8.4 | wish
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/wsvn/debichem/
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/mpqc/
Homepage: http://www.mpqc.org
DM-Upload-Allowed: yes

Package: mpqc
Architecture: any
Section: science
Depends: ${shlibs:Depends}, libsc-data (= ${source:Version}), ${misc:Depends}, mpi-default-bin
Conflicts: mpqc-openmpi (<< 2.3.1-7)
Replaces: mpqc-openmpi (<< 2.3.1-7)
Suggests: mpqc-support
Description: The Massively Parallel Quantum Chemistry Program
 MPQC is an ab-inito quantum chemistry program.  It is especially designed
 to compute molecules in a highly parallelized fashion.
 .
 It can compute energies and gradients for the following methods:
  * Closed shell and general restricted open shell Hartree-Fock (HF)
  * Density Functional Theory (DFT)
  * Closed shell second-order Moeller-Plesset pertubation theory (MP2)
 .
 Additionally, it can compute energies for the following methods:
  * Open shell MP2 and closed shell explicitly correlated MP2 theory (MP2-R12)
  * Second order open shell pertubation theory (OPT2[2])
  * Z-averaged pertubation theory (ZAPT2)
 .
 It also includes an internal coordinate geometry optimizer.
 .
 MPQC is built upon the Scientific Computing Toolkit (SC).

Package: mpqc-openmpi
Architecture: all
Section: science
Depends: mpqc (>= 2.3.1-7), ${misc:Depends}
Conflicts: mpqc (<< 2.3.1-7)
Description: The Massively Parallel Quantum Chemistry Program (OpenMPI transitional package)
 MPQC is an ab-inito quantum chemistry program.  It is especially designed
 to compute molecules in a highly parallelized fashion.
 .
 This package merely depends on the main (MPI-enabled) mpqc package.

Package: libsc-dev
Architecture: any
Section: libdevel
Depends: libsc7 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: libsc-doc
Description: The Scientific Computing Toolkit (development version)
 The Scientific Computing toolkit (SC) provides C++ class libraries for
 scientific computation. Included are classes for managing memory, saving and
 restoring the state of objects, reading objects from an input file, parallel
 communication, matrix algebra, among others.
 .
 Class libraries supporting quantum chemistry applications are provided with
 this distribution of SC.
 .
 This package includes the static libraries and header files.

Package: libsc7
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, libsc-data (= ${source:Version}), ${misc:Depends}
Description: The Scientific Computing Toolkit
 The Scientific Computing toolkit (SC) provides C++ class libraries for
 scientific computation. Included are classes for managing memory, saving and
 restoring the state of objects, reading objects from an input file, parallel
 communication, matrix algebra, among others. 
 .
 Class libraries supporting quantum chemistry applications are provided with
 this distribution of SC.  
 .
 This package includes the shared libraries.

Package: libsc-data
Architecture: all
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: mpqc (<< 2.3.1-5)
Description: The Scientific Computing Toolkit (Basis Set and Atom Data)
 The Scientific Computing toolkit (SC) provides C++ class libraries for
 scientific computation. Included are classes for managing memory, saving and
 restoring the state of objects, reading objects from an input file, parallel
 communication, matrix algebra, among others. 
 .
 Class libraries supporting quantum chemistry applications are provided with
 this distribution of SC.  
 .
 This package includes the basis set and atom data.

Package: libsc-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: The Scientific Computing Toolkit (Documentation)
 The Scientific Computing toolkit (SC) provides C++ class libraries for
 scientific computation. Included are classes for managing memory, saving and
 restoring the state of objects, reading objects from an input file, parallel
 communication, matrix algebra, among others.
 .
 This package includes the HTML-documentation and the manpages of the classes.

Package: mpqc-support
Architecture: any
Section: science
Depends: mpqc, tk8.4 | wish, ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: Support programs and tools for MPQC
 MPQC is an ab-inito quantum chemistry program.  It is especially designed
 to compute molecules in a highly parallelized fashion.
 .
 This package includes Perl modules to parse the output, Emacs-modes to
 facilitate editing mpqc files and molrender, a program to output the
 molecules in OOGL-format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ 

override_dh_auto_clean:
	-(cd src/bin/mpqc/validate; $(MAKE) check_clean)
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-production \
		--with-cxx=mpic++\
		--with-cc=mpicc \
		--with-f77=mpif77 \
		--enable-threads \
		--enable-always-use-mpi \
		--with-default-parallel=mpi \
		--with-mpi-thread=single \
		--enable-shared \
		--includedir=/usr/include/sc \
		--datadir=/usr/share/mpqc \
		--with-sc-datadir=/usr/share/mpqc

override_dh_auto_install:
	$(MAKE) install install_devel installroot=$(CURDIR)/debian/tmp
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/*.so.*.*.*
	chrpath -d $(CURDIR)/debian/tmp/usr/bin/mpqc
	chrpath -d $(CURDIR)/debian/tmp/usr/bin/scls
	chrpath -d $(CURDIR)/debian/tmp/usr/bin/scpr
	chrpath -d $(CURDIR)/debian/tmp/usr/bin/molrender

override_dh_auto_test:
	-SCLIBDIR=$(CURDIR)/lib $(MAKE) -C src/bin/mpqc/validate check

get-orig-source:
	uscan --force-download --repack
